## SoupServerMessage

SoupServerMessage — Server-side SoupMessage

## Synopsis

    struct              SoupServerMessage;
    SoupServerMessage*  soup_server_message_new             (SoupServer *server);
    SoupServer*         soup_server_message_get_server      (SoupServerMessage *smsg);
    void                soup_server_message_set_encoding    (SoupServerMessage *smsg,
                                                             SoupTransferEncoding encoding);
    SoupTransferEncoding soup_server_message_get_encoding   (SoupServerMessage *smsg);
    void                soup_server_message_start           (SoupServerMessage *smsg);
    gboolean            soup_server_message_is_started      (SoupServerMessage *smsg);
    void                soup_server_message_finish          (SoupServerMessage *smsg);
    gboolean            soup_server_message_is_finished     (SoupServerMessage *smsg);

## Object Hierarchy

      GObject
       +----SoupMessage
             +----SoupServerMessage

## Description

## Details

### struct SoupServerMessage

    struct SoupServerMessage;

### soup_server_message_new ()

    SoupServerMessage*  soup_server_message_new             (SoupServer *server);

`server` : |
Returns : |

### soup_server_message_get_server ()

    SoupServer*         soup_server_message_get_server      (SoupServerMessage *smsg);

`smsg` : |
Returns : |

### soup_server_message_set_encoding ()

    void                soup_server_message_set_encoding    (SoupServerMessage *smsg,
                                                             SoupTransferEncoding encoding);

`smsg` : |
`encoding` : |

### soup_server_message_get_encoding ()

    SoupTransferEncoding soup_server_message_get_encoding   (SoupServerMessage *smsg);

`smsg` : |
Returns : |

### soup_server_message_start ()

    void                soup_server_message_start           (SoupServerMessage *smsg);

`smsg` : |

### soup_server_message_is_started ()

    gboolean            soup_server_message_is_started      (SoupServerMessage *smsg);

`smsg` : |
Returns : |

### soup_server_message_finish ()

    void                soup_server_message_finish          (SoupServerMessage *smsg);

`smsg` : |

### soup_server_message_is_finished ()

    gboolean            soup_server_message_is_finished     (SoupServerMessage *smsg);

`smsg` : |
Returns : |